Bug 1659000 (CVE-2018-15518)

Summary: CVE-2018-15518 qt5-qtbase: Double free in QXmlStreamReader
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jgrulich
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-06 13:21:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1659003, 1659001, 1659002, 1659004, 1667857, 1667858, 1667861    
Bug Blocks: 1659007    

Description Andrej Nemec 2018-12-13 10:58:21 UTC
A possible double free and heap corruption was found in QXmlStream.

Upstream patch:

https://codereview.qt-project.org/#/c/236691/

Comment 1 Andrej Nemec 2018-12-13 10:59:10 UTC
Created mingw-qt5-qtbase tracking bugs for this issue:

Affects: epel-7 [bug 1659004]
Affects: fedora-all [bug 1659001]


Created qt5-qtbase tracking bugs for this issue:

Affects: epel-6 [bug 1659003]
Affects: fedora-all [bug 1659002]

Comment 3 Stefan Cornelius 2019-01-23 12:49:01 UTC
Statement:

This issue affects the versions of qt5-base and qt as shipped with Red Hat Enterprise Linux 7.

Comment 4 errata-xmlrpc 2019-08-06 12:18:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2135 https://access.redhat.com/errata/RHSA-2019:2135

Comment 5 Product Security DevOps Team 2019-08-06 13:21:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-15518

Comment 6 errata-xmlrpc 2019-11-05 20:44:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3390 https://access.redhat.com/errata/RHSA-2019:3390

Comment 7 errata-xmlrpc 2020-03-31 19:30:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1172 https://access.redhat.com/errata/RHSA-2020:1172